/// Einbinden an erster Stelle in die description.ext mit	#include "myHeli\CommandMenu.hpp"

//Gui related
#define DEFAULTFONT						"Bitstream"

#define GUIUNDEFINED					-1
#define GUILEFT							0
#define GUIRIGHT						1
#define GUICENTER						2
#define GUITILEBAR						32
#define GUIFRAME						64
#define GUIDEFAULTTILEBAR				GUITILEBAR + GUICENTER
#define GUIIMAGE						48
#define GUIIMAGEASPECTRATIO				48 + 0x800
#define GUISTYLEHUD						128

#define GUITEXT							0
#define GUIBUTTON						1
#define GUIEDITABLETEXT					2
#define GUISLIDER						3
#define GUICOMBO						4
#define GUILIST							5
#define GUICHECKBOX						7
#define GUICLICKABLETEXT				11
#define GUIMENU							14
#define GUIMAP							101

#define IDCDEFAULT						5000

#define IDCUNDEFINED									-1
#define IDCMENUINFO										500
#define IDCMENUTEAMLIST									501
#define IDCMENULIST										502
#define IDCMENULIST1									503
#define IDCMENULIST2									504
#define IDCMENUTITLE									510
#define IDCMENUSTATUSLABEL								511
#define IDCMENUBUTTON									512
#define IDCMENUBUTTON1									513
#define IDCMENUBUTTON2									514
#define IDCMENUIMAGE									515
#define IDCMENUSLIDER									516
#define IDCMENUCHECKBOX									517
#define IDCMENUSLIDER									518

#define IDCCOMMANDMENUTEAMSELECT						100
#define IDCCOMMANDMENUSETMANUALWAYPOINTCOLUMN			101
#define IDCCOMMANDMENUSETMANUALWAYPOINTROW				102
#define IDCCOMMANDMENUSETPRECISEMANUALWAYPOINTCOLUMN1	103
#define IDCCOMMANDMENUSETPRECISEMANUALWAYPOINTCOLUMN2	104
#define IDCCOMMANDMENUSETPRECISEMANUALWAYPOINTROW1		105
#define IDCCOMMANDMENUSETPRECISEMANUALWAYPOINTROW2		106
#define IDCCOMMANDMENUSETWPTOCURRENT					107
#define IDCCOMMANDMENUMOVETOWP							108
#define IDCCOMMANDMENUTAKETOWNS							109
#define IDCCOMMANDMENUDEFENDTOWNS						110
#define IDCCOMMANDMENUSEARCH							111
#define IDCCOMMANDMENUCOMMAND							112
#define IDCCOMMANDMENUDISEMBARK							113
#define IDCCOMMANDMENUEMBARKTRANSPORT					114
#define IDCCOMMANDMENUDISEMBARKTRANSPORT				115
#define IDCCOMMANDMENUFIREMISSION						116

#define IDCCONSTRUCTIONBUTTON							600
#define IDCCONSTRUCTIONIMAGE							700
#define IDCCONSTRUCTIONLABEL							800

#define IDCGENERICBUTTON								3400
#define IDCGENERICIMAGE									3500
#define IDCGENERICLABEL									3600
#define IDCGENERICLIST									3700
#define IDCGENERICTEXT									3800
#define IDCGENERICCHECKBOX								3900

#define IDCERRORMESSAGE									3990

#define IDCCONTROLMENUINFO								131
#define IDCCONTROLMENUUPGRADELIST						132
#define IDCCONTROLMENUTEAMLIST							133
#define IDCCONTROLMENUUNITLIST							134
#define IDCCONTROLMENULIGHTLIST							135
#define IDCCONTROLMENUHEAVYLIST							146
#define IDCCONTROLMENUAIRLIST							147

#define IDCTEAM											1000
#define IDCTEAMSIZE										1100
#define IDCTEAMRESOURCES								1200
#define IDCTEAMINDEPENDENT								1300
#define IDCTEAMROLE										1400
#define IDCTEAMGIVEAMOUNT								1500

#define IDCTEAMLABEL									2000
#define IDCCOMMANDERRESOURCES							2001

#define IDCVOTEOPTION									3000
#define IDCVOTETOGGLE									3100
#define IDCVOTEON										3200
#define IDCVOTEOFF										3300

#define IDCTEAMLABEL									2000
#define IDCCOMMANDERRESOURCES							2001

#define IDCWESTRESOURCES								4000
#define IDCWESTTOWNSHELD								4001
#define IDCWESTPOINTS									4002
#define IDCWESTINCOME									4003

#define IDCEASTRESOURCES								4005
#define IDCEASTTOWNSHELD								4006
#define IDCEASTPOINTS									4007
#define IDCEASTINCOME									4008

#define IDCWEST											6000
#define IDCEAST											7000

#define IDCLOADOUTFUNDS			200
#define IDCLOADOUTSPACE			201
#define IDCLOADOUTTRADEIN		202
#define IDCLOADOUTCOST			203
#define IDCLOADOUTREFUND		204
#define IDCLOADOUTTEMPLATELIST	205
#define IDCLOADOUTPRIMARY		206
#define IDCLOADOUTPRIMARYAMMO	207
#define IDCLOADOUTPRIMARYLIST	208
#define IDCLOADOUTSECONDARY		209
#define IDCLOADOUTSECONDARYAMMO	210
#define IDCLOADOUTSECONDARYLIST	211
#define IDCLOADOUTSIDEARM		212
#define IDCLOADOUTSIDEARMLIST	213
#define IDCLOADOUTMISC			214
#define IDCLOADOUTMISCAMMO		215
#define IDCLOADOUTMISCLIST		216
#define IDCLOADOUTBUY			217

//Karel
#define color1	{0.247,0.314,0.177,1}
#define color1RGB 0.247,0.314,0.177
#define color2	{0.82,1.00,0.82,1}
#define color2RGB 0.82,1.0,0.82

class Header
{
	gameType = CTI;
	minPlayers = 1;
	maxPlayers = 16;
};

class GUIText
{
	type = GUITEXT;
	idc = IDCUNDEFINED;
	style = GUILEFT;
	colorText[] = {0.75,0.75,0.75,1};
	colorBackground[] = {0,0,0,0};
	font = DEFAULTFONT;
	sizeEx = 0.025;

	w = 0.275;
	h = 0.04;

	text = "";
};

class GUILargeText:GUIText
{
	font = DEFAULTFONT;
	sizeEx = 0.029;

	w = 0.275;
	h = 0.1;
};

class GUIButton
{
	type = GUIBUTTON;
	idc = IDCUNDEFINED;
	style = GUICENTER;
	borderSize = 0;
	colorText[] = {0.75,0.75,0.75,1};
	colorDisabled[] = {0.35,0.35,0.35,0};
	colorBackground[] = {0.35,0.35,0.35,1};
	colorBackgroundActive[] = {0.5,0.5,0.5,1};
	colorBackgroundDisabled[] = {0.35,0.35,0.35,0};
	colorFocused[] = {0.35,0.35,0.35,1};
	colorShadow[] = {0.1,0.1,0.1,1};
	colorBorder[] = {0,0,0,0};
	font = DEFAULTFONT;
	sizeEx = 0.029;
	offsetX = 0.005;
	offsetY = 0.005;
	offsetPressedX = 0.0025;
	offsetPressedY = 0.0025;
	soundPush[] = {"\ca\ui\data\sound\new1", 0.09, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.07, 1};
	soundEnter[] = {"",0.1,1};
	soundEscape[] = {"ui\ui_cc",0.2,1};

	default = false;

	text = "";

	//Default button dimensions.	
	w = 0.275;
	h = 0.04;
};

class GUIButtonDarker:GUIButton
{
	colorBackground[] = {0.25,0.25,0.25,1};
	colorBackgroundActive[] = {0.4,0.4,0.4,1};
	colorFocused[] = {0.25,0.25,0.25,1};
};

class GUICheckBox
{
	type = GUICHECKBOX;
	idc = IDCUNDEFINED;
	style = GUICENTER;
	colorText[] = {0.75,0.75,0.75,1};
	colorDisabled[] = {0.35,0.35,0.35,0.25};
	colorBackground[] = {0.35,0.35,0.35,0.25};
	colorBackgroundActive[] = {0.35,0.35,0.35,0.25};
	colorBackgroundDisabled[] = {0.35,0.35,0.35,0.25};
	colorFocused[] = {0.35,0.35,0.35,0.25};
	colorShadow[] = {0.1,0.1,0.1,0.25};
	colorBorder[] = {0.7,0.7,0.7,0.5};
	font = DEFAULTFONT;
	sizeEx = 0.025;
	offsetX = ;
	offsetY = ;
	offsetPressedX = ;
	offsetPressedY = ;
	/*
	borderSize = .002;
	soundClick[] = {"ui\ui_ok",0.2,1};
	soundEnter[] = {"",0.1,1};
	soundEscape[] = {"ui\ui_cc",0.2,1};
	soundPush[] = {"",0.2,1};
	default = false;
	*/

	//Default button dimensions.	
	w = 0.275;
	h = 0.04;
};

class GUIClickableText
{
	type = GUICLICKABLETEXT;
	idc = IDCUNDEFINED;
	style = GUILEFT;
	color[] = {0.75,0.75,0.75,1};
	colorActive[] = {1,1,1,1};
	font = DEFAULTFONT;
	sizeEx = 0.025;
	soundClick[] = {"ui\ui_ok",0.2,1};
	soundEnter[] = {"ui\ui_over",0.2,1};
	soundEscape[] = {"ui\ui_cc",0.2,1};
	soundPush[] = {, 0.2, 1};
	default = false;

	//Default text dimensions.	
	w = 0.275;
	h = 0.04;
	
	text = "";
};

class GUIEditableText
{
	type = GUIEDITABLETEXT;
	idc = IDCUNDEFINED;
	style = GUILEFT;
	font = DEFAULTFONT;
	autocomplete = false;
	sizeEx = 0.02;
	colorSelection[] = {0.3,0.3,0.3,1};
	colorText[] = {0.75,0.75,0.75,1};
	text = ;

	//Default button dimensions.	
	w = 0.275;
	h = 0.1;
};

class GUIImage
{
	type = GUIText;
	idc = IDCUNDEFINED;
	style = GUIIMAGE;
	colorText[] = {0.75,0.75,0.75,1};
	colorBackground[] = {0,0,0,0};
	font = DEFAULTFONT;
	sizeEx = 0.025;

	soundClick[] = {"ui\ui_ok",0.2,1};
	soundEnter[] = {"ui\ui_over",0.2,1};
	soundEscape[] = {"ui\ui_cc",0.2,1};
	soundPush[] = {, 0.2, 1};
	default = false;

	//Default button dimensions.	
	w = 0.275;
	h = 0.04;

	text = "";
};

class GUIImageAspectRatio:GUIImage
{
	style = GUIIMAGEASPECTRATIO;
};

class GUIList
{
	style = GUILEFT;
	idc = IDCUNDEFINED;
	colorBackground[] = {0.35,0.35,0.35,1};
	colorSelect[] = {0.4,0.4,0.4,1};
	colorSelectBackground[] = {0.6,0.6,0.6,1};
	colorText[] = {0.75,0.75,0.75,1};
	font = DEFAULTFONT;
	sizeEx = 0.029;
	rowHeight = 0.04;
	soundSelect[] = {"",0.1,1};
	soundExpand[] = {"",0.1,1};
	soundCollapse[] = {"",0.1,1};

	//Default list dimensions.	
	w = 0.275;
	h = 0.04;
};

class GUIListBox:GUIList
{
	type = GUILIST;
	rowHeight = 0.03;
};

class GUITransparentListBox:GUIListBox
{
	colorBackground[] = {0,0,0,0};
	colorSelect[] = {0,0,0,0};
	colorSelectBackground[] = {0,0,0,0};
	colorText[] = {0,0,0,0};
};

class GUIComboBox:GuiList
{
	type = GUICOMBO;
	wholeHeight = 0.3;
};

class GUISlider
{
	idc = IDCUNDEFINED;
	type = GUISLIDER;
	style = 1024;
	color[] = {0.75,0.75,0.75,1};
	colorActive[] = {1,1,1,1};
	soundSelect[] = {"",0.1,1};
	soundExpand[] = {"",0.1,1};
	soundCollapse[] = {"",0.1,1};

	//sizeEx = 0.025;

	w = 0.275;
	h = 0.04;
};

class DefaultMenu
{
	idd = IDCDEFAULT;
	movingEnable = true;
	controlsBackground[] = {BackgroundWindow};
	objects[] = {};

	class BackgroundWindow:GuiText
	{
		style = GUISTYLEHUD;
		colorBackground[] = {0.1,0.1,0.1,1.0};

		text = "";
		x = 0.325;
		y = 0.075;
		w = 0.4;
		h = 0.85;
	};

	class BackgroundWindowLight:BackgroundWindow
	{
		colorBackground[] = {0.4,0.4,0.4,1.0};
	};
};


// Karel, 01/22/2008
class GUIActiveText
{
	type = 11;
	style = GUILEFT;
	SizeEx = 0.05;
	font = "BitStream";
	color[]= {1,1,1,0.8};
	colorActive[] = {1, 1, 1,1};
	soundEnter[] = {"", 0.1, 1};
	soundPush[] = {"", 0.1, 1};
	soundClick[] = {"", 0.1, 1};
	soundEscape[] = {"", 0.1, 1};
	text = "";
};
class GUItab: GUIActiveText
{
//	style = 48 + 0x800;
	style = 48;
	x = 0.15;
	y = 0.15;
	w = 0.1575;
	h = 0.05;
	text = "Warfare\Images\tab_mission.paa";
	SizeEx = 0.030000;
	color[]= {1,1,1,1};
	colorActive[] = {1,1,1,1};
  	onMouseEnter =	"(_this select 0) ctrlSetText ""\Warfare\Images\tab_mission_a.paa"";";
 	onMouseExit =	"(_this select 0) ctrlSetText ""\Warfare\Images\tab_mission.paa"";";
	onSetFocus =	"(_this select 0) ctrlSetText ""\Warfare\Images\tab_mission_a.paa"";";
	onKillFocus =	"(_this select 0) ctrlSetText ""\Warfare\Images\tab_mission.paa"";";
};
class GUIStructuredText
{
	access=0;
	type=13;
	idc=-1;
	style=0;
	h=0.050000;
	text="";
	size=0.020833;
	colorText[]={1,1,1,1};
	class Attributes
	{
		font="Zeppelin32";
		color="#ffffff";
		align="left";
		shadow=0;
	};
};
class GUIButtonLightGreen:GUIButton
{
	style = GUICENTER;
	x = 0.65;
	y = 0.36;
	w = 0.24;
	h = 0.03;
	colorText[] = {0.82,1.00,0.82,1.0};
	colorDisabled[] = {0.82,1.00,0.82,1.0};
	colorBackground[] = {0.24,0.56,0.24,1.0};
	colorBackgroundActive[] = {0.2,0.5,0.2,1.0};
	colorBackgroundDisabled[] = {0.82,1.00,0.82,1.0};
	colorFocused[] = {0.2,0.5,0.2,1.0};
	colorShadow[] = {0.1,0.1,0.1,1};
	colorBorder[] = {0,0,0,0};
};
class GUIButtonLightRed: GUIButtonLightGreen
{
	style = GUICENTER;
	colorText[] = {1.00,0.82,0.82,1.0};
	colorDisabled[] = {1.00,0.82,0.82,1.0};
	colorBackground[] = {0.56,0.24,0.24,1.0};
	colorBackgroundActive[] = {0.5,0.2,0.2,1.0};
	colorBackgroundDisabled[] = {1.00,0.82,0.82,1.0};
	colorFocused[] = {0.5,0.2,0.2,1.0};
};


//*****************************************************************************************
//COMMAND INTERFACE
//*****************************************************************************************

class CommandMenu:DefaultMenu
{
	controls[] = {InfoBackground,InfoLabel,CommandLabel,MapArea,TeamTypeLabel,TeamTypeList,TeamsToolbar,TeamsLabel,
				  TeamButton1,TeamButton2,TeamButton3,TeamButton4,TeamButton5,TeamButton6,TeamButton7,TeamButton8,
				  TeamButton9,TeamButton10,TeamButton11,TeamButton12,TeamButton13,TeamButton14,TeamButton15,TeamButton16,
				  CommandsBackground,CommandsToolbarLabel,
				  CommandButton1,CommandButton2,CommandButton3,CommandButton4,CommandButton5,CommandButton6,
				  ExitButton};

	controlsBackground[] = {};

	onLoad = "_this Exec ""Client\GUI\GUI_Command.sqs""";

	class InfoBackground:GuiImage
	{
		x = 0.0;
		y = 0.0;
		w = 1.0;
		h = 0.5;
		
		text = "\ca\ui\data\ui_gradient_middle_gs.paa";
	};

	class InfoLabel:GuiLargeText
	{
		idc = IDCMENUTITLE;
		style = GUICENTER;
		font = "Bitstream";
		sizeEx = 0.025;
		x = 0.2;
		y = 0.001;
		w = 0.35;
		h = 0.04;
		colorText[] = {1.0,1.0,1.0,1};

		text = "";
	};

	class CommandLabel:GuiText
	{
		idc = IDCMENUINFO;
		style = GUICENTER;
		font = "Bitstream";
		x = 0.0;
		y = 0.001;
		w = 0.3;
		h = 0.04;
		colorText[] = {1.0,0.0,0.0,1};

		text = "";
	};

	class TeamTypeLabel:GuiText
	{
		style = GUICENTER;
		font = "Bitstream";
		x = 0.45;
		y = 0.001;
		w = 0.2;
		h = 0.04;
		colorText[] = {1.0,1.0,1.0,1};

		text = $STRWFTYPE;
	};

	class TeamTypeList:GuiComboBox
	{
		idc = IDCMENULIST;
		x = 0.6;
		y = 0.001;
		w = 0.2;
	};

	class TeamsToolbar:GuiImage
	{
		x = 0.0;
		y = 0.845;
		w = 1.0;
		h = 0.055;
		
		text = "\ca\ui\data\ui_gradient_title_gs.paa";
	};

	class TeamsLabel:GuiText
	{
		style = GUIRIGHT;
		font = "Bitstream";
		x = 0.0;
		y = 0.855;
		w = 0.067;
		h = 0.04;
		colorText[] = {1.0,1.0,1.0,1};

		text = $STRWFAITEAM;
	};

	class TeamButton:GuiButton
	{
		y = 0.855;
		w = 0.045;
		h = 0.04;

		offsetX = 0;
		offsetY = 0;
		offsetPressedX = 0;
		offsetPressedY = 0;

		colorText[] = {0.75,0.75,0.75,1};
		colorBackground[] = {0.3,0.3,0.3,0.4};
		colorBackgroundActive[] = {0.75,0.75,0.75,0.4};
		colorFocused[] = {0.35,0.35,0.35,0.8};
		colorShadow[] = {0,0,0,0};
	};

	class TeamButton1:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON;

		x = 0.06;
		text = "1";
		action = "menuTeam = 1";
	};

	class TeamButton2:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 1;

		x = 0.11;
		text = "2";
		action = "menuTeam = 2";
	};

	class TeamButton3:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 2;

		x = 0.16;
		text = "3";
		action = "menuTeam = 3";
	};

	class TeamButton4:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 3;

		x = 0.21;
		text = "4";
		action = "menuTeam = 4";
	};

	class TeamButton5:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 4;

		x = 0.26;
		text = "5";
		action = "menuTeam = 5";
	};

	class TeamButton6:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 5;

		x = 0.31;
		text = "6";
		action = "menuTeam = 6";
	};

	class TeamButton7:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 6;

		x = 0.36;
		text = "7";
		action = "menuTeam = 7";
	};

	class TeamButton8:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 7;

		x = 0.41;
		text = "8";
		action = "menuTeam = 8";
	};

	class TeamButton9:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 8;

		x = 0.46;
		text = "9";
		action = "menuTeam = 9";
	};

	class TeamButton10:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 9;

		x = 0.51;
		text = "10";
		action = "menuTeam = 10";
	};

	class TeamButton11:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 10;

		x = 0.56;
		text = "11";
		action = "menuTeam = 11";
	};

	class TeamButton12:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 11;

		x = 0.61;
		text = "12";
		action = "menuTeam = 12";
	};

	class TeamButton13:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 12;

		x = 0.66;
		text = "13";
		action = "menuTeam = 13";
	};

	class TeamButton14:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 13;

		x = 0.71;
		text = "14";
		action = "menuTeam = 14";
	};

	class TeamButton15:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 14;

		x = 0.76;
		text = "15";
		action = "menuTeam = 15";
	};

	class TeamButton16:TeamButton
	{
		idc = IDCCONSTRUCTIONBUTTON + 15;

		x = 0.81;
		text = "16";
		action = "menuTeam = 16";
	};

	class CommandsBackground:GUIText
	{
		x = 0.0;
		y = 0.9;
		w = 1.0;
		h = 0.1;

		colorBackground[] = {0,0,0,1};
	};

	class CommandsToolbarLabel:GuiLargeText
	{
		idc = IDCMENULIST;
		x = 0.1;
		y = 0.85;
		w = 0.9;
		h = 0.04;
	};

	class CommandButton:GuiButton
	{
		y = 0.91;
		w = 0.145;
		h = 0.05;

		colorBackground[] = {0.2,0.2,0.2,1};
		colorBackgroundActive[] = {0.3,0.3,0.3,1};
		colorFocused[] = {0.4,0.4,0.4,1};
		colorShadow[] = {0.1,0.1,0.1,1};
		colorBorder[] = {0.7,0.7,0.7,0.5};
	};

	class CommandButton1:CommandButton
	{
		x = 0.025;
		text = $STRWFMOVE;
		action = "menuCommand = MISMOVETODESTINATION";
	};

	class CommandButton2:CommandButton
	{
		x = 0.186;
		//text = $STRWFASSAULT;
		//action = "menuCommand = MISASSAULT";
		text = $STRWFNA;
		action = "menuCommand = MISCAPTURELOCATIONS";
	};

	class CommandButton3:CommandButton
	{
		x = 0.347;
		text = $STRWFCAPTURETOWN;
		action = "menuCommand = MISCAPTURELOCATIONS";
	};

	class CommandButton4:CommandButton
	{
		x = 0.508;
		text = $STRWFDEFENDBASE;
		action = "menuCommand = MISDEFENDBASE";
	};

	class CommandButton5:CommandButton
	{
		x = 0.669;
		//text = $STRWFDEFENDLOCATIONS;
		//action = "menuCommand = MISDEFENDLOCATIONS";
		text = $STRWFNA;
		action = "menuCommand = MISCAPTURELOCATIONS";
	};

	class CommandButton6:CommandButton
	{
		x = 0.83;
		text = $STRWFPATROL;
		action = "menuCommand = MISPATROL";
	};

	class ExitButton:TeamButton
	{
		x = 0.935;
		y = 0.855;
		w = 0.06;
		text = $STRWFEXIT;
		action = "CloseDialog 0;menuExit = true";
	};

	class MapArea:GUIImage
	{
		type = GUIMAP;
		idc = IDCMENUIMAGE;

		colorBackground[] = {0.8,0.8,0.8,1};
		colorText[] = {0, 0, 0, 1};

		colorSea[] = {0.56, 0.8, 0.98, 0.5};
		colorForest[] = {0.6, 0.8, 0.2, 0.5};
		colorRocks[] = {0.5, 0.5, 0.5, 0.5};
		colorCountlines[] = {0.65, 0.45, 0.27, 0.5};
		colorMainCountlines[] = {0.65, 0.45, 0.27, 1};
		colorCountlinesWater[] = {0, 0.53, 1, 0.5};
		colorMainCountlinesWater[] = {0, 0.53, 1, 1};
		colorForestBorder[] = {0.4, 0.8, 0, 1};
		colorRocksBorder[] = {0.5, 0.5, 0.5, 1};
		colorPowerLines[] = {0, 0, 0, 1};
		colorNames[] = {0, 0, 0, 1};
		colorInactive[] = {1, 1, 1, 0.5};
		colorLevels[] = {0, 0, 0, 1};
		fontLabel = "TahomaB";
		sizeExLabel = 0.04;
		fontGrid = "TahomaB";
		sizeExGrid = 0.04;
		fontUnits = "TahomaB";
		sizeExUnits = 0.04;
		fontNames = "TahomaB";
		sizeExNames = 0.04;
		fontInfo = "TahomaB";
		sizeExInfo = 0.04;
		fontLevel = "TahomaB";
		sizeExLevel = 0.04;
		text = "#(argb,8,8,3)color(1,1,1,1)";
		stickX[] = {0.2, {"Gamma", 1, 1.5}};
		stickY[] = {0.2, {"Gamma", 1, 1.5}};
		ptsPerSquareSea = 6;
		ptsPerSquareTxt = 8;
		ptsPerSquareCLn = 8;
		ptsPerSquareExp = 8;
		ptsPerSquareCost = 8;
		ptsPerSquareFor = "4.0f";
		ptsPerSquareForEdge = "10.0f";
		ptsPerSquareRoad = 2;
		ptsPerSquareObj = 10;
		showCountourInterval = "true";

		x = 0.0;
		y = 0.05;
		w = 1.0;
		h = 0.8;

		onMouseMoving = "mouseX = (_this Select 1);mouseY = (_this Select 2)";
		onMouseButtonDown = "mouseButtonDown = _this Select 1";
		onMouseButtonUp = "mouseButtonUp = _this Select 1";

/*
		class Legend
		{
			x = 0.7;
			y = 0.65;
			w = 0.25;
			h = 0.09;
			font = "TahomaB";
			sizeEx = 0.04;
			colorBackground[] = {1, 1, 1, 1};
			color[] = {0, 0, 0, 1};
		};
*/		
		class Bunker
		{
			icon = "\ca\ui\data\map_bunker_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 14;
			importance = 1.5 * 14 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Bush
		{
			icon = "\ca\ui\data\map_bush_ca.paa";
			color[] = {0.55, 0.64, 0.43, 1};
			size = 14;
			importance = 0.2 * 14 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class BusStop
		{
			icon = "\ca\ui\data\map_busstop_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 10;
			importance = 1 * 10 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Command
		{
			icon = "#(argb,8,8,3)color(1,1,1,1)";
			color[] = {0, 0.9, 0, 1};
			size = 18;
			importance = 1;
			coefMin = 1;
			coefMax = 1;
		};
		
		class Cross
		{
			icon = "\ca\ui\data\map_cross_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 16;
			importance = 0.7 * 16 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Fortress
		{
			icon = "\ca\ui\data\map_bunker_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Fuelstation
		{
			icon = "#(argb,8,8,3)color(0,0,0,1)";
			color[] = {0, 0, 0, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.75;
			coefMax = 4;
		};
		
		class Fountain
		{
			icon = "\ca\ui\data\map_fountain_ca.paa";
			color[] = {0, 0.35, 0.7, 1};
			size = 12;
			importance = 1 * 12 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Hospital
		{
			icon = "\ca\ui\data\map_hospital_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class Chapel
		{
			icon = "\ca\ui\data\map_chapel_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 16;
			importance = 1 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Church
		{
			icon = "\ca\ui\data\map_church_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Lighthouse
		{
			icon = "\ca\ui\data\map_lighthouse_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 20;
			importance = 3 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Quay
		{
			icon = "\ca\ui\data\map_quay_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 16;
			importance = 2 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class Rock
		{
			icon = "\ca\ui\data\map_rock_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 12;
			importance = 0.5 * 12 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Ruin
		{
			icon = "\ca\ui\data\map_ruin_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 16;
			importance = 1.2 * 16 * 0.05;
			coefMin = 1;
			coefMax = 4;
		};
		
		class SmallTree
		{
			icon = "\ca\ui\data\map_smalltree_ca.paa";
			color[] = {0.55, 0.64, 0.43, 1};
			size = 12;
			importance = 0.6 * 12 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Stack
		{
			icon = "\ca\ui\data\map_stack_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 20;
			importance = 2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Tree
		{
			icon = "\ca\ui\data\map_tree_ca.paa";
			color[] = {0.55, 0.64, 0.43, 1};
			size = 12;
			importance = 0.9 * 16 * 0.05;
			coefMin = 0.25;
			coefMax = 4;
		};
		
		class Tourism {
			icon = "\ca\ui\data\map_tourism_ca.paa";
			color[] = {0.78, 0, 0.05, 1};
			size = 16;
			importance = 1 * 16 * 0.05;
			coefMin = 0.7;
			coefMax = 4;
		};

		class Transmitter
		{
			icon = "\ca\ui\data\map_transmitter_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 20;
			importance = 2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class ViewTower
		{
			icon = "\ca\ui\data\map_viewtower_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 16;
			importance = 2.5 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class Watertower
		{
			icon = "\ca\ui\data\map_watertower_ca.paa";
			color[] = {0, 0.35, 0.7, 1};
			size = 32;
			importance = 1.2 * 16 * 0.05;
			coefMin = 0.9;
			coefMax = 4;
		};
		
		class Waypoint
		{
			icon = "\ca\ui\data\map_waypoint_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 14;
			importance = 2.5 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		
		class WaypointCompleted
		{
			icon = "\ca\ui\data\map_waypoint_completed_ca.paa";
			color[] = {0, 0, 1, 1};
			size = 14;
			importance = 2.5 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
		class ActiveMarker
		{
			icon = "";
			color[] = {0, 0, 1, 1};
			size = 14;
			importance = 2.5 * 16 * 0.05;
			coefMin = 0.5;
			coefMax = 4;
		};
	};
};

